## xtrkcad 4.0.2

=== app/CMakeLists.txt ===
PROJECT(XTrackCAD)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})

IF(NOT WIN32)
	INCLUDE(FindPkgConfig)
	PKG_CHECK_MODULES(GTK "gtk+-2.0")
	PKG_CHECK_MODULES(GTKHTML "libgtkhtml-2.0")
ENDIF(NOT WIN32)

ADD_SUBDIRECTORY(tools)
ADD_SUBDIRECTORY(lib)
ADD_SUBDIRECTORY(wlib)
ADD_SUBDIRECTORY(help)
ADD_SUBDIRECTORY(bin)
