=== app/tools/CMakeLists.txt ===
add_subdirectory(halibut)

add_executable(addcrlf addcrlf.c)

add_executable(bin2c bin2c.c)
