=== app/tools/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.4

# Default target executed when no arguments are given to make.
default_target: all

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/local/bin/cmake

# The command to remove a file.
RM = /usr/local/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/martin/xtc/xtrkcad/app/tools

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/martin/xtc/xtrkcad/app/tools

# Include the progress variables for this target.
include CMakeFiles/progress.make

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/local/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/local/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/martin/xtc/xtrkcad/app/tools/CMakeFiles $(CMAKE_ALL_PROGRESS)
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/martin/xtc/xtrkcad/app/tools/CMakeFiles 0

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean

# The main clean target
clean/fast: clean

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1

#=============================================================================
# Target rules for targets named addcrlf

# Build rule for target.
addcrlf: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 addcrlf

# fast build rule for target.
addcrlf/fast:
	$(MAKE) -f CMakeFiles/addcrlf.dir/build.make CMakeFiles/addcrlf.dir/build

#=============================================================================
# Target rules for targets named bin2c

# Build rule for target.
bin2c: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 bin2c

# fast build rule for target.
bin2c/fast:
	$(MAKE) -f CMakeFiles/bin2c.dir/build.make CMakeFiles/bin2c.dir/build

#=============================================================================
# Target rules for targets named halibut

# Build rule for target.
halibut: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 halibut

# fast build rule for target.
halibut/fast:
	$(MAKE) -f halibut/CMakeFiles/halibut.dir/build.make halibut/CMakeFiles/halibut.dir/build

#=============================================================================
# Target rules for targets named charset

# Build rule for target.
charset: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 charset

# fast build rule for target.
charset/fast:
	$(MAKE) -f halibut/charset/CMakeFiles/charset.dir/build.make halibut/charset/CMakeFiles/charset.dir/build

# target to build an object file
addcrlf.o:
	$(MAKE) -f CMakeFiles/addcrlf.dir/build.make CMakeFiles/addcrlf.dir/addcrlf.o

# target to preprocess a source file
addcrlf.i:
	$(MAKE) -f CMakeFiles/addcrlf.dir/build.make CMakeFiles/addcrlf.dir/addcrlf.i

# target to generate assembly for a file
addcrlf.s:
	$(MAKE) -f CMakeFiles/addcrlf.dir/build.make CMakeFiles/addcrlf.dir/addcrlf.s

# target to build an object file
bin2c.o:
	$(MAKE) -f CMakeFiles/bin2c.dir/build.make CMakeFiles/bin2c.dir/bin2c.o

# target to preprocess a source file
bin2c.i:
	$(MAKE) -f CMakeFiles/bin2c.dir/build.make CMakeFiles/bin2c.dir/bin2c.i

# target to generate assembly for a file
bin2c.s:
	$(MAKE) -f CMakeFiles/bin2c.dir/build.make CMakeFiles/bin2c.dir/bin2c.s

# Help Target
help::
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... addcrlf"
	@echo "... bin2c"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... addcrlf.o"
	@echo "... addcrlf.i"
	@echo "... addcrlf.s"
	@echo "... bin2c.o"
	@echo "... bin2c.i"
	@echo "... bin2c.s"
	@echo "... halibut"
	@echo "... addcrlf.o"
	@echo "... addcrlf.i"
	@echo "... addcrlf.s"
	@echo "... bin2c.o"
	@echo "... bin2c.i"
	@echo "... bin2c.s"
	@echo "... charset"
	@echo "... addcrlf.o"
	@echo "... addcrlf.i"
	@echo "... addcrlf.s"
	@echo "... bin2c.o"
	@echo "... bin2c.i"
	@echo "... bin2c.s"



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
