=== app/wlib/CMakeLists.txt ===
PROJECT(wlib)

INCLUDE_DIRECTORIES("${wlib_SOURCE_DIR}/include")

IF(WIN32)
	ADD_SUBDIRECTORY(mswlib)
ELSE(WIN32)
	ADD_SUBDIRECTORY(gtklib)
ENDIF(WIN32)
