=== debian/changelog ===
xtrkcad (1:4.0.2-2ubuntu1) natty; urgency=low

  * Change build-depends from libwebkit-dev to libwebkitgtk-dev as a
    part of webkit transition.
    - update debian/control

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 19 Jan 2011 15:24:54 +0530

xtrkcad (1:4.0.2-2) unstable; urgency=low

  * new maintainer, closes: #383968
  * switched help system to libwebkit, closes: #549039

 -- Daniel E. Markle <dmarkle@ashtech.net>  Fri, 25 Jun 2010 07:59:01 -0400

xtrkcad (1:4.0.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * chmod +x sbcsgen.pl script used in building (Closes: 482257)
    - required by newer versions of cmake

 -- Mike O'Connor <stew@debian.org>  Tue, 03 Jun 2008 21:54:51 -0400

xtrkcad (1:4.0.2-1) unstable; urgency=low

  * new uptream version, closes: #458077
  * fix path to docs in man page, closes: #458319

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Apr 2008 22:50:44 -0600

xtrkcad (1:4.0.1-1) unstable; urgency=low

  * new upstream version
  * building twice in a row appears to work now, closes: #424098
  * don't strip in bin/Makefile, closes: #438353

 -- Bdale Garbee <bdale@gag.com>  Wed, 05 Sep 2007 13:43:47 +0100

xtrkcad (20061215-1) unstable; urgency=low

  * freshen from upstream CVS (just one minor variable initialization patch)

 -- Bdale Garbee <bdale@gag.com>  Fri, 15 Dec 2006 09:54:11 -0700

xtrkcad (20060529-2) unstable; urgency=low

  * add build dependency on imagemagick, closes: #374639

 -- Bdale Garbee <bdale@gag.com>  Tue, 20 Jun 2006 11:31:30 -0600

xtrkcad (20060529-1) unstable; urgency=low

  * new upstream version
  * move from xtrkcad (dormant) to xtrkcad-fork on advice from Alistair Baty
  * update control file to reflect this is no longer feature-reduced

 -- Bdale Garbee <bdale@gag.com>  Mon, 29 May 2006 22:45:15 -0600

xtrkcad (20060415-1) unstable; urgency=low

  * xtrkcad is now GPL'ed, so it can move to main!  closes: #318369
  * building a CVS snapshot from sourceforge
  * fix priority to match override file
  * should build anywhere, so change from i386 to any

 -- Bdale Garbee <bdale@gag.com>  Sat, 15 Apr 2006 11:22:33 -0600

xtrkcad (3.1.4-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sat, 15 Nov 2003 15:23:21 -0700

xtrkcad (3.1.2.3-1) unstable; urgency=low

  * new upstream version, actually 3.1.2-3 in Sillub's notation
  * freshen packaging to current standards

 -- Bdale Garbee <bdale@gag.com>  Wed,  6 Nov 2002 17:15:48 -0700

xtrkcad (2.2.0-2) unstable; urgency=low

  * update to current standards, FHS, clean up lintian report

 -- Bdale Garbee <bdale@gag.com>  Fri,  7 Jan 2000 21:29:01 -0700

xtrkcad (2.2.0-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 26 May 1999 13:27:32 -0600

xtrkcad (2.0.4-1) unstable; urgency=low

  * new upstream version, closes 20040
  * minor cleanups to files in debian directory to close all Lintian errors,
    some warnings remain since this is a libc5 binary-only package, etc...

 -- Bdale Garbee <bdale@gag.com>  Sun,  6 Sep 1998 12:05:54 -0600

xtrkcad (1.2.1-4) unstable; urgency=low

  * fix a bunch of packaging funnies found by lintian
  * move from debstd to debhelper

 -- Bdale Garbee <bdale@gag.com>  Sun, 15 Feb 1998 11:45:26 -0700

xtrkcad (1.2.1-3) unstable; urgency=low

  * add new param files from Sillub web page.  These add a P4 scale,
    update the Walthers HP structure lib, and add libs for Arnold N
    scale turnouts, Peco HO scale turnouts, and UK P4 fine scale 
    turnouts.  There's also a new example layout.  Closes bug 16388.
  * don't gzip example layouts, since they are then invisible to the file
    menu, which is really confusing.
  * add support for update-menus.

 -- Bdale Garbee <bdale@gag.com>  Sat,  3 Jan 1998 01:14:23 -0700

xtrkcad (1.2.1-2) unstable; urgency=low

  * moved html stuff out of /usr/lib and into /usr/doc
  * repackaged to get dependency information right for hamm

 -- Bdale Garbee <bdale@gag.com>  Sat, 25 Oct 1997 11:39:58 -0600

xtrkcad (1.2.1-1) unstable; urgency=low

  * new upstream version, converted with alien and merged with Debian 
    diffs from 1.2.0
  * moved from contrib to non-free since no source is available
  * included example layouts from the Sillub web pages

 -- Bdale Garbee <bdale@gag.com>  Sun,  7 Sep 1997 18:21:34 -0600

xtrkcad (1.2.0-2) unstable; urgency=low
 
  * Moving from contrib to non-free to meet new policy on such.

 -- Bdale Garbee <bdale@gag.com>  Wed, 6 Aug 1997 14:04:12 -0600

xtrkcad (1.2.0-1) unstable; urgency=low

  * Converted from distributed .tar.gz format to a Debian package

 -- Bdale Garbee <bdale@gag.com>  Mon, 31 Mar 1997 17:28:01 -0700

Local variables:
mode: debian-changelog
End:
