=== debian/control ===
Source: xtrkcad
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel E. Markle <dmarkle@ashtech.net>
Build-Depends: debhelper (>= 5), libglib2.0-dev, libgtk2.0-dev, libx11-dev, netpbm, imagemagick, libwebkitgtk-dev, cmake
Standards-Version: 3.8.4

Package: xtrkcad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Model Train Track CAD Program
 This program allows you to design model train layouts.  It is fundamentally
 a drawing (CAD) program, but tailored to some of the specific issues in the
 model train world.
