## xtrkcad 4.1.99+4.2.0

=== debian/changelog ===
xtrkcad (1:4.1.99+4.2.0-beta1) experimental; urgency=low

  * new upstream version
  * packaging updates and fixes

 -- Daniel E. Markle <dmarkle@ashtech.net>  Fri, 25 Mar 2011 18:55:43 -0400
