=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
	dh_testdir
	mkdir -p build
	(cd build ; cmake -D=CMAKE_BUILD_TYPE=Release \
	-D CMAKE_INSTALL_PREFIX=/usr/ \
	-D XTRKCAD_USE_GETTEXT=ON \
	-D XTRKCAD_USE_GTK=ON \
	-D XTRKCAD_USE_GTK_CAIRO=ON \
	-D XTRKCAD_USE_LAYOUTCONTROL=ON ../)
	(cd build ; make)

clean:
	dh_testdir
	rm -rf build
	dh_clean

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
	dh_auto_install -Dbuild
	rm -f debian/xtrkcad/usr/share/xtrkcad/COPYING
	dh_install
	dh_installmenu
	dh_installman debian/xtrkcad.1
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
